%define name xml2var
%define version v2
%define release 1mdk

Summary: XML-file parser, which converts XML-tags to shell variables.
Name: %{name}
Version: %{version}
Release: %{release}
Url: http://www.antitachyon.com/Content/Utilities/xml2var
Source: http://www.antitachyon.com/download/xml2var-v2.tar.bz2
Patch0: xml2var.c.patch.bz2
Patch1: xml2var.mkfile.patch.bz2

License: GPL
Group: File tools
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

BuildPreReq: expat-devel  >= 1.95.2

%description
xml2var is an XML-file parser, which converts XML-tags to shell
variables. xml2var is a main part of the SoL boot technology.
See http://www.sol-linux.com/?howto/runlevel_xml.txt for more information.

%prep

%setup -n xml2var
%patch0 -R
%patch1

%build

%make
#%make CFLAGS="-g -O2"

%install

mkdir -p $RPM_BUILD_ROOT/%{prefix}/bin/
cp -av %{name} $RPM_BUILD_ROOT/%{prefix}/bin/


%clean 
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%{prefix}/bin/%{name}
%doc README COPYING sample sample.xml

%changelog
* Fri Aug 27 2004 Franck Villaume <fvill@freesurf.fr> v2-1mdk
- v2

* Fri Jul 18 2003  <camille@ke.mandrakesoft.com> v1-2mdk
- Rebuild

* Mon May 27 2002 <camille@mandrakesoft.com> v1-1mdk
- first spec for Borges use
